#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "partition.h"

using namespace std;
using namespace __gnu_pbds;

template<typename T>
using oset = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

#define ar array
#define int long long
#define all(v) v.begin(), v.end()

const int N = 1e5 + 20;
const int MOD = 1e9 + 7;
const int INF = 1e16;

template<typename T>
void chmin(T &a, T b){a = min(a, b);};
template<typename T>
void chmax(T &a, T b){a = max(a, b);};
template<typename T>
void mm(T &x){
    x %= MOD;
    if (x < 0) x += MOD;
};

std::vector<signed> solve(std::vector<signed> A) {
    int n = A.size();
    vector<signed> ans;
    for (int i = 0;i < n / 2;i++)ans.push_back(i);
    ans.push_back(n - 1);
    for (int i = n / 2;i < n - 1;i++)ans.push_back(i);
    return ans;
}


#define int signed